AbiWord-3.0.0

Introduction to AbiWord

AbiWord is a word processor which is useful for writing reports, letters and other formatted documents.

This package is known to build and work properly using an LFS-7.6 platform.

Package Information

Additional Downloads

AbiWord Dependencies

Required

Boost-1.57.0, FriBidi-0.19.6, GOffice-0.10.18, and wv-1.2.9

Recommended

Optional

Aiksaurus, dbus-glib-0.102, Evolution Data Server, gobject-introspection-1.42.0, GtkMathView, libchamplain, libgcrypt-1.6.2, libical-1.0.1, libsoup-2.48.0, libwmf, libwpd, libwpg, libwps, Link Grammar Parser, Loudmouth, Redland-1.0.17, Telepathy GLib, OTS Psiconv, and Valgrind-3.10.1

[Note]

Note

To enable many of the optional dependencies, review the information from ./configure --help for the necessary switches you must pass to the configure script.

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/abiword

Installation of AbiWord

Install AbiWord by running the following commands:

patch -Np1 -i ../abiword-3.0.0-libgcrypt_1_6_0-1.patch &&
./configure --prefix=/usr                              &&
make

This program does not come with a functional test suite.

Now, as the root user:

make install

If you wish to install the local help files, untar and build them first

tar -xf ../abiword-docs-3.0.0.tar.gz &&
cd abiword-docs-3.0.0                &&
./configure --prefix=/usr            &&
make

and then, as the root user:

make install

Command Explanations

--without-evolution-data-server: This switch disables AbiWord Evolution Data Server support which is known to fail when using recent versions of Evolution Data Server.

--enable-plugins="collab openxml goffice grammar": Build some or all plugins. The openxml plugin enables Abiword to open some .docx files. The grammar plugin requires Link Grammar Parser

Configuring AbiWord

Config File

~/.AbiSuite/templates/normal.awt

Configuration Information

Choose the right template for your language and locale from the list produced by the following command:

ls /usr/share/abiword-3.0/templates

Create the folder ~/.AbiSuite/templates then copy the normal.awt you want into it:

install -v -m750 -d ~/.AbiSuite/templates &&
install -v -m640    /usr/share/abiword-3.0/templates/normal.awt-<lang> \
                    ~/.AbiSuite/templates/normal.awt

Change <lang> by the above command to fit the name of the file you want.

If you are using multiple languages, you may need to edit the template to use a font with greater coverage (e.g. one of the DejaVu fonts), because Abiword does not use fontconfig and can only display glyphs that are provided in the chosen font.

If you have desktop-file-utils-0.22 installed, you should run the update-desktop-database command to update the mimeinfo cache and allow the Help system to work.

If you have xdg-utils-1.1.0-rc2 installed, you should run the xdg-icon-resource forceupdate --theme hicolor command, for the installed icon to be displayed in the menu item.

Contents

Installed Program: abiword
Installed Library: libabiword-3.0.so
Installed Directories: /usr/include/abiword-3.0, /usr/lib/abiword-3.0, and /usr/share/abiword-3.0

Short Descriptions

abiword

is the word processor, a wrapper for the functions in libabiword-3.0 - it can also be used on the command line, see man 1 abiword.

libabiword-3.0.so

provides functions to access MS Word documents.

Last updated on 2014-09-21 21:28:22 +0000